<?php
class cCaja{
	function insertar($punven_id,$ban,$mon,$nom,$tip,$cci){
		$sql = "INSERT tb_caja (
		`tb_puntoventa_id`,
		`tb_banco_id`,
		`tb_moneda_id`,
		`tb_caja_nom`,
		`tb_caja_tip`,
		`tb_caja_cci`
		)
		VALUES (
		'$punven_id','$ban','$mon','$nom', '$tip', '$cci'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "SELECT last_insert_id()"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function filtro($tip,$mon,$punven_id){
		$sql="SELECT * FROM tb_caja c 
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = c.tb_puntoventa_id
		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id
		inner join tb_banco b on b.tb_banco_id = c.tb_banco_id
		inner join tb_moneda m on m.tb_moneda_id = c.tb_moneda_id
		WHERE tb_caja_xac=1 and b.tb_banco_id != '16' ";
		
		if($tip!="") $sql.=" AND c.tb_caja_tip = '$tip'";
		if($mon!="") $sql.=" AND c.tb_moneda_id = '$mon'";
		if($punven_id!="") $sql.=" AND c.tb_puntoventa_id = '$punven_id'";
		
		
		$sql.=" ORDER BY tb_caja_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function filtrar($tip,$mon,$punven_id){
		$sql="SELECT * FROM tb_caja c 
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = c.tb_puntoventa_id
		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id
		inner join tb_banco b on b.tb_banco_id = c.tb_banco_id
		inner join tb_moneda m on m.tb_moneda_id = c.tb_moneda_id
		WHERE c.tb_caja_xac=1 ";
		
		if($tip!="") $sql.=" AND c.tb_caja_tip = '$tip'";
		if($mon!="") $sql.=" AND c.tb_moneda_id = '$mon'";
		if($punven_id!="") $sql.=" AND c.tb_puntoventa_id = '$punven_id'";
		
		
		$sql.=" ORDER BY tb_caja_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function filtrar2($tip,$mon,$empid,$like){
		$sql="SELECT * FROM tb_caja c 
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = c.tb_puntoventa_id
		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id
		inner join tb_banco b on b.tb_banco_id = c.tb_banco_id
		inner join tb_moneda m on m.tb_moneda_id = c.tb_moneda_id
		WHERE c.tb_caja_xac=1 and b.tb_banco_id != '16' ";
		
		
		if($tip!="") $sql.=" AND c.tb_caja_tip = '2' ";
		if($mon!="") $sql.=" AND c.tb_moneda_id = '$mon' ";
		if($empid!="") $sql.=" AND em.tb_empresa_id = '$empid' ";
		
		if($tip=='1'){
			if($like!="") $sql.=" AND b.tb_banco_abr != '$like' and b.tb_banco_abr != 'RTC'  ";
		}else if($tip=='2'){
			if($like!="") $sql.=" AND b.tb_banco_abr = '$like' ";
		}else if($tip=='3'){
			if($like!="") $sql.=" AND b.tb_banco_abr = '$like' ";
		}
		
		
		
		$sql.=" ORDER BY c.tb_caja_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_caja c 
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = c.tb_puntoventa_id
		inner join tb_empresa em on em.tb_empresa_id = pv.tb_empresa_id
		inner join tb_banco b on b.tb_banco_id = c.tb_banco_id
		inner join tb_moneda m on m.tb_moneda_id = c.tb_moneda_id
		WHERE tb_caja_id='$id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarCajaVenta($punven_id,$mon_id){
		$sql="SELECT * FROM tb_caja c 
		inner join tb_puntoventa pv on c.tb_puntoventa_id = pv.tb_puntoventa_id
		where c.tb_caja_xac = 1 and c.tb_puntoventa_id = '$punven_id' and c.tb_moneda_id = '$mon_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$cci,$nom,$tip,$punven_id,$ban,$mon){ 
		$sql = "UPDATE tb_caja SET 
		tb_caja_cci = '$cci', 
		tb_caja_nom = '$nom', 
		tb_caja_tip ='$tip',
		tb_puntoventa_id ='$punven_id', 
		tb_banco_id ='$ban', 
		tb_moneda_id ='$mon' 
		WHERE tb_caja_id ='$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_caja SET
		`tb_caja_$campo` =  '$valor' 
		WHERE tb_caja_id ='$id';"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>